title Gimp new-instance. Close this Window when Gimp starts runing.
@echo off
echo *** Close this Window when Gimp starts runing ***
::For select language edit line 5: en English, es Español, fr Français, de Deutsch, it Italiano, pl Polski ...
set LANGUAGE=en
:: For choosing Gimp edit path in line 7. For version portable you must specify the executable file in the bin direktory.
"C:\Program Files\GIMP 2\bin\gimp-2.10.exe" -n %1
:: Examples of calls:
:: "d:\GIMP-2.2\bin\gimp.exe" %1
:: "d:\GIMP-2.8.22\bin\gimp-2.8.exe" --new-instance %1
:: "d:\Gimp-2.10.14_Samji\bin\gimp-2.10.exe" -n %1
:: GIMP version < 2.4 without options "d:\GIMP-2.2\bin\gimp.exe" %1
:: Disable compatibility mode "C:\Program Files\GIMP 2\bin\gimp-2.10.exe" -n --pdb-compat-mode=off %1

:: ============================================================
:: When you are done editing - save changes and close Notepad2.
:: ============================================================

::  Options:
::  -n, --new-instance      Start a new GIMP instance.
::  --verbose               Be more verbose. Show detailed start-up messages.
::  -d, --no-data           Do not load brushes, gradients, palettes, patterns, ...
::  -f, --no-fonts          Do not load any fonts.
::  -i, --no-interface      Run without a user interface.
::  -s, --no-splash         Do not show the splash screen while starting.
:: --console-messages       Do not popup dialog boxes on errors or warnings. Print the messages on the console instead.
:: --pdb-compat-mode=mode   PDB compatibility mode (off|on|warn).
:: -a, --as-new             Open images as new.
::  -?, --help              Show help options.
::  -v, --version           Show version information and exit.
::  -------------------------------------------------------------------------------------------
::  If you delete the record " %1 " gimp will be started without exporting the image (layers).
::  -------------------------------------------------------------------------------------------
exit